Skip to main content
GET
/
api
/
modelServing
/
v1
/
modelDeployments
/
{modelDeploymentId}
/
versions
/
{version}
Retrieve a specific version of a Model Deployment
curl --request GET \
  --url https://api.example.com/api/modelServing/v1/modelDeployments/{modelDeploymentId}/versions/{version} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "collaborators": [
    {
      "id": "66a84107c774610134ae3a28"
    }
  ],
  "configuration": {
    "deploymentType": {
      "modelConfigs": {},
      "sharedConfig": {},
      "type": "SYNC_ENDPOINT"
    },
    "modelConfigs": {},
    "sharedConfig": {}
  },
  "creationTimestamp": "2023-07-15T14:35:47.89Z",
  "creatorInfo": {
    "id": "ABC-123",
    "username": "Production"
  },
  "deploymentTargetInfo": {
    "id": "ABC-123",
    "name": "Production",
    "typeName": "AWS SageMaker"
  },
  "description": "This endpoint is designed to provide businesses with insights into their customer retention patterns.",
  "id": "614e40a7-0509-4cae-89af-55e2097b817d",
  "isGloballyAccessible": true,
  "models": [
    {
      "environmentId": "<string>",
      "environmentName": "<string>",
      "name": "XYZ Model",
      "projectId": "<string>",
      "source": {
        "registeredModelName": "Growth Forecasting Model",
        "registeredModelType": "MODELREGISTRY",
        "registeredModelVersion": 3
      }
    }
  ],
  "name": "Income Classifier Deployment",
  "resourceConfigurationInfo": {
    "configuration": {},
    "id": "ABC-123",
    "name": "Large"
  },
  "version": 23,
  "remoteUpdateTimestamp": "2023-07-16T19:20:30.45Z",
  "status": {
    "message": "<string>",
    "modelOperations": {},
    "modelStates": {},
    "sharedOperations": [
      {
        "fields": {},
        "metadata": {
          "operations": [
            "<string>"
          ],
          "type": "<string>",
          "service": "<string>"
        },
        "type": "<string>",
        "credentials": {
          "expirationTime": "2023-11-07T05:31:56Z",
          "keys": [
            "<string>"
          ]
        },
        "examplePayload": "<string>",
        "examples": [
          {
            "code": "<string>",
            "format": "<string>",
            "language": "<string>",
            "request": "<string>"
          }
        ]
      }
    ],
    "sharedState": {}
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelDeploymentId
string
required

The id of the Model Deployment

version
integer
required

Version number of the Model Deployment

Response

Historical version of the Model Deployment found.

Model Deployment

collaborators
object[]
required

List of collaborators, if any

configuration
object
required

The Model Deployment configuration

creationTimestamp
string<date-time>
required
Example:

"2023-07-15T14:35:47.89Z"

creatorInfo
object
required

Information about the creator of a Model Deployment

deploymentTargetInfo
object
required

Information about a Deployment Target and its corresponding Deployment Target Type

description
string
required
Example:

"This endpoint is designed to provide businesses with insights into their customer retention patterns."

id
string
required

The id of the Model Deployment.

Example:

"614e40a7-0509-4cae-89af-55e2097b817d"

isGloballyAccessible
boolean
required

Whether the Model Deployment is viewable by Domino Users who are not collaborators

models
object[]
required

Models associated with this Model Deployment.

name
string
required
Example:

"Income Classifier Deployment"

resourceConfigurationInfo
object
required

Information about a Resource Configuration

version
integer
required
Example:

23

remoteUpdateTimestamp
string<date-time>
Example:

"2023-07-16T19:20:30.45Z"

status
object

The Model Deployment status